Skip to content
Myra Online Help Updated · 21 Aug 2026

Listing the certificates of the specified SSL/TLS provider credentials

Note

This request is only available to members of the root group and organisation administrators. Deleted or non-existent credentials always return a 403 response instead of a 404 response.

Sends a GET request to the endpoint /ssl/providers/{id}/certificates.

Description

The List-Ssl-Provider-Certificates request returns all SSL/TLS certificates issued with specific SSL/TLS provider credentials.

Requirements

Values of the request: Provider-ID {id}

Objects: none

Request

To request the certificates of SSL/TLS provider credentials, add the Provider-ID {id} to the path of the request. The request supports the optional query parameters search, page, pageSize, and language to filter and paginate the result. As a result, a list of objects SslCertSummaryVO with the requested information is returned.

The object provides the following information:

Attributes Description Values
id The ID of the certificate. integer
subject The subject of the certificate. string
subjectAlternatives An array of all subdomains for which the certificate is valid. array
algorithm The algorithm with which the certificate is encrypted. string
validFrom The date as ISO 8601 when the certificate starts to be valid. string($date-time)
validTo The date as ISO 8601 until the certificate is valid. string($date-time)
fingerprint The fingerprint of the certificate. string
serialNumber The serial number of the certificate. string
wildcard Defines whether the certificate is valid for multiple subdomains of a domain. The certificate must have a *.domain.tld subject for true to be returned.
  • true
  • false
extendedValidation true if the browser treats the certificate as Extended Validation. Myra uses the OIDs of Google Chrome to determine the Extended Validation level.
  • true
  • false
managed Defines whether the certificate is managed by Myra. A managed certificate cannot be edited via the API and is read-only.
  • true
  • false
multidomain Defines whether the certificate belongs to a multi-domain SSL/TLS request.
  • true
  • false
sslConfigurationName The configuration name from the table SslConfiguration. string
requestId The ID of the SSL/TLS request for which the certificate was issued, if available. integer
domainId The ID of the domain to which the certificate is assigned, if available. integer
subdomains An array of all subdomains currently served by the certificate. array
modified The last modification date in ISO 8601 format. string($date-time)
created The creation date in ISO 8601 format. string($date-time)

For security reasons, this summary object never contains the certificate PEM, the private key, or the intermediate certificates.

Example

Example response:

[
  {
    "id": 0,
    "subject": "string",
    "subjectAlternatives": [],
    "algorithm": "string",
    "validFrom": "2026-01-01T00:00:00+00:00",
    "validTo": "2026-01-01T00:00:00+00:00",
    "fingerprint": "string",
    "serialNumber": "string",
    "wildcard": true,
    "extendedValidation": true,
    "managed": true,
    "multidomain": true,
    "sslConfigurationName": "string",
    "requestId": 0,
    "domainId": 0,
    "subdomains": [],
    "modified": "2026-01-01T00:00:00+00:00",
    "created": "2026-01-01T00:00:00+00:00"
  }
]

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.